package com.dxhy.extend.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.extend.entity.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author dxhy
 */
@Mapper
public interface ExtSaleCountDao extends BaseMapper<ExtSaleCountModel> {

    List<ExtSaleCountModel> querySaleCountRate(Map<String, Object> paramsMap);

    List<ExtSaleItemCountModel> querySaleItem(Map<String, Object> paramsMap);

    String querySaleName(String taxNumber);

    ExtSaleItemConditionModel querySaleNameCondition(Map<String, Object> paramsMap);

    List<ExtSaleItemInvoiceModel> querySaleItemInvoices(Map<String, Object> paramsMap);
}
